package cpcns.dingZhi.yiJiaoDengJi.service.impl;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.yiJiaoDengJi.dao.IJieShouDengJiDao;
import cpcns.dingZhi.yiJiaoDengJi.model.jieShouDengJi;
import cpcns.dingZhi.yiJiaoDengJi.service.IJieShouDengJiService;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("jieShouDengJiService")
public class JieShouDengJiServiceImpl extends DangAnBaseServiceImpl<jieShouDengJi> implements IJieShouDengJiService {
  @Autowired
  private IJieShouDengJiDao jieShouDengJiDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select hangBiaoShi,jiaoJieMingCheng,yiJiaoFangShi,yiJiaoPiCi,dangAnMenLei,yiJiaoDanWeiMingCheng,yiJiaoShuLiang,jieShouRiQi,qiShiNianDu,zaiTiLeiXing,jieShouZhuangTai,dianZiDangAnShuLiang from ")).append(table).append(" where 1=1 ");
    Object para = null;
    para = map.get("jiaoJieMingCheng");
    if (para != null && para != "") {
      sql.append(" and jiaoJieMingCheng like :jiaoJieMingCheng");
      tp.put("jiaoJieMingCheng", "%" + para + "%");
    } 
    para = map.get("yiJiaoPiCi");
    if (para != null && para != "") {
      sql.append(" and yiJiaoPiCi =:yiJiaoPiCi");
      tp.put("yiJiaoPiCi", para);
    } 
    para = map.get("yiJiaoDanWeiMingCheng");
    if (para != null && para != "") {
      sql.append(" and yiJiaoDanWeiMingCheng =:yiJiaoDanWeiMingCheng");
      tp.put("yiJiaoDanWeiMingCheng", para);
    } 
    para = map.get("yiJiaoDanWeiBiaoShi");
    if (para != null && para != "") {
      sql.append(" and yiJiaoDanWeiBiaoShi =:yiJiaoDanWeiBiaoShi");
      tp.put("yiJiaoDanWeiBiaoShi", para);
    } 
    para = map.get("dangAnMenLei");
    if (para != null && para != "") {
      String[] strs = para.split("_");
      if (strs.length == 3) {
        String ml = strs[strs.length - 1];
        sql.append(" and dangAnMenLei =:dangAnMenLei");
        tp.put("dangAnMenLei", ml);
      } 
    } 
    para = map.get("yiJiaoFangShi");
    if (para != null && para != "") {
      sql.append(" and yiJiaoFangShi=:yiJiaoFangShi");
      tp.put("yiJiaoFangShi", para);
    } 
    para = map.get("qiShiNianDu");
    if (para != null && para != "") {
      Object nd = map.get("nd");
      sql.append(" and qiShiNianDu").append(nd + ":qiShiNianDu");
      tp.put("qiShiNianDu", para);
    } 
    return this.jieShouDengJiDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
}
